> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Coding Variants Variants

> Retrieve variants associated with a coding variant.

alt_amino_acid filters by the alternate amino acid at the given position (single-letter code, use * for stop codon).

Example: coding_variant_name = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC,

hgvsp = p.Gly253Asp,

gene_name = SAMD7,

protein_id = ENSP00000334668,

uniprot_name = SAMD7_HUMAN,

transcript_id = ENST00000335556,

amino_acid_position = 253,

alt_amino_acid = D,

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /coding-variants/variants
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /coding-variants/variants:
    get:
      summary: Coding Variants Variants
      description: >-
        Retrieve variants associated with a coding variant.


        alt_amino_acid filters by the alternate amino acid at the given position
        (single-letter code, use * for stop codon).


        Example: coding_variant_name =
        SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC,


        hgvsp = p.Gly253Asp,


        gene_name = SAMD7,


        protein_id = ENSP00000334668,


        uniprot_name = SAMD7_HUMAN,


        transcript_id = ENST00000335556,


        amino_acid_position = 253,


        alt_amino_acid = D,


        The limit parameter controls the page size and can not exceed 500.


        Pagination is 0-based.
      operationId: variantsFromCodingVariants
      parameters:
        - name: coding_variant_name
          in: query
          required: false
          schema:
            type: string
        - name: hgvsp
          in: query
          required: false
          schema:
            type: string
        - name: protein_id
          in: query
          required: false
          schema:
            type: string
        - name: uniprot_name
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: amino_acid_position
          in: query
          required: false
          schema:
            type: string
        - name: alt_amino_acid
          in: query
          required: false
          schema:
            type: string
            enum:
              - A
              - C
              - D
              - E
              - F
              - G
              - H
              - I
              - K
              - L
              - M
              - 'N'
              - P
              - Q
              - R
              - S
              - T
              - V
              - W
              - 'Y'
              - '*'
        - name: transcript_id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    chr:
                      type: string
                    pos:
                      type: number
                    ref:
                      type: string
                    alt:
                      type: string
                    rsid:
                      type: array
                      items:
                        type: string
                      nullable: true
                    spdi:
                      type: string
                      nullable: true
                    hgvs:
                      type: string
                      nullable: true
                    ca_id:
                      type: string
                      nullable: true
                    _id:
                      type: string
                  required:
                    - chr
                    - pos
                    - ref
                    - alt
                    - _id
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````